//+---------------------------------------------------------------------------+
//| Q_BUY                                                                     |
//|                                                                           |
//| Script to quick open a trade with default values, perfect for             |
//| scalpers or lazy people.                                                  |
//+---------------------------------------------------------------------------+
//| ORIGINAL AUTHOR: Groenie                                                  |
//+---------------------------------------------------------------------------+
//| NOTES                                                                     |
//| 1. B600+ READY                                                            |
//| 2. Use for long (BUY) positions only                                      |
//+---------------------------------------------------------------------------+
//| TODO                                                                      |
//+---------------------------------------------------------------------------+
//| CHANGELOG v1.0                                                            |
//+---------------------------------------------------------------------------+

//+---------------------------------------------------------------------------+
//|                              THE START                                    |
//+---------------------------------------------------------------------------+
#property copyright   "Groenie Quick Buy"
#property version     "1.0"
#property show_inputs
#include <WinUser32.mqh>
#include <stdlib.mqh>

extern string L_           = "Lotsize";
extern double Lots         = 0.03;   // Default lot size
extern string M_           = "Magic Number";
extern int    MagicNumber  = 274693;  // Unique ID
extern string S_           = "SL & TP (value in points NOT pips)";
extern int    StopLoss     = 200;     // Default SL (points)
extern int    TakeProfit   = 300;     // Default TP (points)
extern string TradeComment = " Hitman Short "; // Default Comment
//+---------------------------------------------------------------------------+
//| START()                                                                   |
//+---------------------------------------------------------------------------+
int start() {
//----
  // Include spread
   double BrokerSpread=MarketInfo(Symbol(),MODE_SPREAD);
   double TP=TakeProfit; 
   double SL=StopLoss;
   // Handle possible errors
   if (TakeProfit==0) {
      TP=0;
   } else {
      //TP=NormalizeDouble(TakeProfit-(BrokerSpread*Point),Digits);
      TP=NormalizeDouble(Ask+TakeProfit*Point,Digits);
   }
   // Handle possible errors
   if (StopLoss==0) {
      SL=0;
   } else {
      //SL=NormalizeDouble(StopLoss-(BrokerSpread*Point),Digits);
      SL=NormalizeDouble(Bid-StopLoss*Point,Digits);
   }
   
   // Open Trade
   int ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,5,SL,TP,TradeComment,MagicNumber,0,CLR_NONE);
   if(ticket<1)
     {
      int error=GetLastError();
      Print("Error = ",ErrorDescription(error));
      return;
     }
//----
   OrderPrint();
//----
   return(0);
}
//+---------------------------------------------------------------------------+
//|                               THE END                                     |
//+---------------------------------------------------------------------------+